clang-tools 10.0.0

Namespaces | Functions
Shutdown.h File Reference
`#include <cerrno>`
`#include <chrono>`
Include dependency graph for Shutdown.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
void | clang::clangd::abortAfterTimeout (std::chrono::seconds Timeout)
| Causes this process to crash if still running after Timeout. More...
void | clang::clangd::requestShutdown ()
| Sets a flag to indicate that clangd was sent a shutdown signal, and the transport loop should exit at the next opportunity. More...
bool | clang::clangd::shutdownRequested ()
| Checks whether requestShutdown() was called. More...
template<typename Fun , typename Ret = decltype(std::declval<Fun>()())>
Ret | clang::clangd::retryAfterSignalUnlessShutdown (const typename std::enable_if< true, Ret >::type &Fail, const Fun &F)
| Retry an operation if it gets interrupted by a signal. More...